COM_AddCommand("makepizza", function(player, arg)
	if gametype ~= GT_PIZZATIMEJISK then
		CONS_Printf(player, "Command must be ran in the Pizza Time Jisk Edition mode.")
		return
	end
	if tonumber(arg) == nil then
		CONS_Printf(player, "arg1 must be a number.")
		return
	end
	if not arg then
		CONS_Printf(player, "makepizza <playernum>")
		return
	end
	
	if players[tonumber(arg)] then
		local targetplayer = players[tonumber(arg)]
		if targetplayer and targetplayer.valid and not targetplayer.pizzaface then
			targetplayer.pizzaface = true
			chatprint("\x85*"..targetplayer.name.." has become a pizza!")
			jisk_addannouncement(5*TICRATE,"\x85*"..targetplayer.name.." has become a pizza!")
		end
	else
		CONS_Printf(player, "Player does not exist")
	end
end,1)

COM_AddCommand("doannouncement", function(player, text)
	if gametype ~= GT_PIZZATIMEJISK then
		CONS_Printf(player, "Command must be ran in the Pizza Time Jisk Edition mode.")
		return
	end
	if text == nil then
		CONS_Printf(player, "arg1 must be valid.")
		return
	end
	
	
	
	jisk_addannouncement(3*TICRATE,"\x82\*"..text)
end,1)


rawset(_G, "JISK_FORCELAP", CV_RegisterVar({
	name = "jisk_forcelap",
	defaultvalue = "Off",
	flags = CV_NETVAR,
	PossibleValue = CV_OnOff, 
}))

rawset(_G, "JISK_MAXLAPS", CV_RegisterVar({
	name = "jisk_maxlaps",
	defaultvalue = "16",
	flags = CV_NETVAR,
	PossibleValue = CV_Unsigned, 
}))

rawset(_G, "JISK_MAXLAPS_PERPLAYER", CV_RegisterVar({
	name = "jisk_maxlaps_perplayer",
	defaultvalue = "3",
	flags = CV_NETVAR,
	PossibleValue = CV_Unsigned, 
}))

rawset(_G, "JISK_LAPPINGTYPE", CV_RegisterVar({
	name = "jisk_lappingtype",
	defaultvalue = "2",
	flags = CV_NETVAR,
	PossibleValue = {shared = 1, perplayer = 2}, 
}))

rawset(_G, "JISK_PIZZATIMESTUN", CV_RegisterVar({
	name = "jisk_pizzatimestun",
	defaultvalue = "10",
	flags = CV_NETVAR,
	PossibleValue = CV_Unsigned, 
}))
rawset(_G, "JISK_FAKELAPSTUN", CV_RegisterVar({
	name = "jisk_fakelapstun",
	defaultvalue = "3",
	flags = CV_NETVAR,
	PossibleValue = CV_Unsigned, 
}))

rawset(_G, "JISK_TPINV", CV_RegisterVar({
	name = "jisk_tpinv",
	defaultvalue = "3", -- IN SECONDS
	flags = CV_NETVAR,
	PossibleValue = CV_Unsigned, 
}))

rawset(_G, "JISK_DYNAMICLAPS", CV_RegisterVar({
	name = "jisk_dynamiclaps",
	defaultvalue = "Off",
	flags = CV_NETVAR,
	PossibleValue = CV_OnOff, 
}))

rawset(_G, "JISK_SHOWDEATHS", CV_RegisterVar({
	name = "jisk_showdeaths",
	defaultvalue = "On",
	flags = CV_NETVAR,
	PossibleValue = CV_OnOff, 
}))

rawset(_G, "JISK_PIZZALAUGH", CV_RegisterVar({ -- Whenever the pizzaface laugh plays when pizzatime starts.
	name = "jisk_pizzalaugh",
	defaultvalue = "On",
	flags = CV_NETVAR,
	PossibleValue = CV_OnOff, 
}))

rawset(_G, "JISK_HOMEWORK", CV_RegisterVar({ -- Whenever the pizzaface laugh plays when pizzatime starts.
	name = "jisk_homework",
	defaultvalue = "Off",
	flags = CV_NETVAR,
	PossibleValue = CV_OnOff, 
}))

rawset(_G, "JISK_COLLISIONSYSTEM", CV_RegisterVar({
	name = "jisk_collisionsystem",
	defaultvalue = "1",
	flags = CV_NETVAR,
	PossibleValue = {sector = 1},  -- , locationcheck = 2
}))

rawset(_G, "JISK_TIMELIMIT", CV_RegisterVar({
	name = "jisk_timelimit",
	defaultvalue = "4", -- in minutes
	flags = CV_NETVAR,
	PossibleValue = CV_Unsigned, 
}))

rawset(_G, "JISK_PIZZACHOOSETYPE", CV_RegisterVar({
	name = "jisk_pizzachoosetype",
	defaultvalue = "2",
	flags = CV_NETVAR,
	PossibleValue = {firsttrigger = 1, random = 2}, 
}))

rawset(_G, "JISK_PLAYERSCHOOSING", CV_RegisterVar({
	name = "jisk_playerschoosing",
	defaultvalue = "1", -- in minutes
	flags = CV_NETVAR,
	PossibleValue = CV_Natural, 
}))

rawset(_G, "JISK_PIZZATPCOOLDOWN", CV_RegisterVar({
	name = "jisk_pizzatpcooldown",
	defaultvalue = "5",
	flags = CV_NETVAR,
	PossibleValue = CV_Unsigned, 
}))

rawset(_G, "JISK_PIZZATPSTUNTIME", CV_RegisterVar({
	name = "jisk_pizzatpstuntime",
	defaultvalue = "2",
	flags = CV_NETVAR,
	PossibleValue = CV_Unsigned, 
}))

rawset(_G, "JISK_NOMUSIC", CV_RegisterVar({
	name = "jisk_nomusic",
	defaultvalue = "off",
	PossibleValue = CV_OnOff, 
}))

rawset(_G, "JISK_SCOREONKILL", CV_RegisterVar({
	name = "jisk_scoreonkill",
	defaultvalue = "on",
	flags = CV_NETVAR,
	PossibleValue = CV_OnOff, 
}))